net.sf.okapi.common.pipelinedriver

## Interface IBatchItemContext

- All Known Implementing Classes:
    BatchItemContext

      public interface IBatchItemContext

  Common set of methods for a pipeline batch item. A batch item corresponds to the data provided by the caller application to execute one process of all the steps of a pipeline.

  Most of the time a batch item is composed of a single input file with possibly some output information if some of the steps generate output for each batch item.

  Some steps require more than one input document per batch item, for example a steps that align the content of two files will request two inputs per batch item: the source file and its corresponding translated file.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFilterConfigurationId(int index)` Gets the filter configuration identifier for a given input document of this batch item.
    `java.lang.String` | `getOutputEncoding(int index)` Gets the output encoding for a given input document of this batch item.
    `java.net.URI` | `getOutputURI(int index)` Gets the output URI for a given input document of this batch item.
    `RawDocument` | `getRawDocument(int index)` Gets a RawDocument object from the given input document of this batch item.
    `LocaleId` | `getSourceLocale(int index)` Gets the source locale for a given input document of this batch item.
    `LocaleId` | `getTargetLocale(int index)` Gets the target locale for a given input document of this batch item.

- - ### Method Detail

    - #### getFilterConfigurationId

          java.lang.String getFilterConfigurationId(int index)

      Gets the filter configuration identifier for a given input document of this batch item.
      Parameters:
        `index` - the zero-based index of the input document.
      Returns:
        the filter configuration identifier of the given the input document.

    - #### getRawDocument

          RawDocument getRawDocument(int index)

      Gets a RawDocument object from the given input document of this batch item.
      Parameters:
        `index` - the zero-based index of the input document.
      Returns:
        the RawDocument object from the given input document, or null if there is no RawDocument for the given input.

    - #### getOutputURI

          java.net.URI getOutputURI(int index)

      Gets the output URI for a given input document of this batch item.
      Parameters:
        `index` - the zero-based index of the input document.
      Returns:
        the output URI of the given the input document, or null if there is no output URI for the given input.

    - #### getOutputEncoding

          java.lang.String getOutputEncoding(int index)

      Gets the output encoding for a given input document of this batch item.
      Parameters:
        `index` - the zero-based index of the input document.
      Returns:
        the output encoding of the given the input document, or null if there is no output encoding for the given input.

    - #### getSourceLocale

          LocaleId getSourceLocale(int index)

      Gets the source locale for a given input document of this batch item.
      Parameters:
        `index` - the zero-based index of the input document.
      Returns:
        the source locale of the given the input document, or null if there is no source locale for the given input.

    - #### getTargetLocale

          LocaleId getTargetLocale(int index)

      Gets the target locale for a given input document of this batch item.
      Parameters:
        `index` - the zero-based index of the input document.
      Returns:
        the target locale of the given the input document, or null if there is no target locale for the given input.